import { iconsPath } from "./icons";

export const getType = () => {
  const profile: IUserProfile = JSON.parse(localStorage.getItem("profile"));
  const type = profile.scopes.type;
  return type;
};

export const getRole = () => {
  const profile: IUserProfile = JSON.parse(localStorage.getItem("profile"));
  const role = profile.scopes.role;
  return role;
};

const ALL_PROVIDER_USER_ROLES = [
  "OWNER",
  "ADMIN",
  "STAFF",
];
const ALL_CUSTOMER_USER_ROLES = ["ALL"];
const ALL_ACCELAVAR_USER_ROLES = ["ALL"];

// for child menu if you wish to hide menu default and check from API value
//defaultHide: true,
//isAvailable: "showContacts",  ==> here showContacts is value from state

export const sideMenuOptionsList: ISideMenuOption[] = [
  {
    name: "Dashboard",
    path: "/dashboard",
    campare: "dashboard",
    icon: iconsPath.dashboard,
    childs: [],
    accessLevel: {
      ACCELAVAR: ALL_ACCELAVAR_USER_ROLES,
      PROVIDER: ALL_PROVIDER_USER_ROLES,
      CUSTOMER: ALL_CUSTOMER_USER_ROLES,
    },
    isAllow: false,
    search: ["dashboard"],
  },
  {
    name: "Providers",
    path: "/providers",
    campare: "providers",
    icon: iconsPath.asset_mng,
    childs: [],
    accessLevel: {
      ACCELAVAR: ALL_ACCELAVAR_USER_ROLES,
      PROVIDER: [],
      CUSTOMER: [],
    },
    isAllow: false,
    search: ["providers"],
  },
  {
    name: "AcelaVAR Users",
    path: "/accelavar-users",
    campare: "accelavar-users",
    icon: iconsPath.user_access,
    childs: [],
    accessLevel: {
      ACCELAVAR: ALL_ACCELAVAR_USER_ROLES,
      PROVIDER: [],
      CUSTOMER: [],
    },
    isAllow: false,
    search: ["acelavar users", "accelavar users"],
  },
  {
    name: "Asset Management",
    path: "/inventory-management",
    campare: "inventory-management",
    icon: iconsPath.user_access,
    childs: [],
    accessLevel: {
      ACCELAVAR: [],
      PROVIDER: ALL_PROVIDER_USER_ROLES,
      CUSTOMER: ALL_CUSTOMER_USER_ROLES,
    },
    isAllow: false,
    search: ["Asset Management"],
  },
  {
    name: "Subscription Management",
    path: "/subscription-management",
    campare: "subscription-management",
    icon: iconsPath.subs,
    childs: [],
    accessLevel: {
      ACCELAVAR: [],
      PROVIDER: ALL_PROVIDER_USER_ROLES,
      CUSTOMER: ALL_CUSTOMER_USER_ROLES,
    },
    isAllow: false,
    search: ["Subscription Management"],
  },

  {
    name: "Virtual Warehouse",
    path: "/virtual-warehouse",
    campare: "virtual-warehouse",
    icon: iconsPath.vr_warehouse,
    childs: [],
    accessLevel: {
      ACCELAVAR: [],
      PROVIDER: ALL_PROVIDER_USER_ROLES,
      CUSTOMER: ALL_CUSTOMER_USER_ROLES,
    },
    isAllow: false,
    search: ["Virtual Warehouse"],
  },
  {
    name: "Project Management",
    path: "/ProjectDashboard",
    campare: "ProjectDashboard",
    icon: iconsPath.pmo,
    showChild: false,
    childs: [
      {
        name: "PMO Dashboard",
        path: "/ProjectDashboard",
        campare: "ProjectDashboard",
        search: ["Project Dashboard", "PMO Dashboard"],
      },
      {
        name: "Projects",
        path: "/ProjectManagement",
        campare: "ProjectManagement",
        search: ["Project Management"],
      },
      {
        name: "Timesheet",
        path: "/EngineerTimesheets",
        campare: "EngineerTimesheets",
        search: ["Project Engineer Timesheets"],
      },
      {
        name: "Change Requests",
        path: "/change-requests",
        campare: "change-requests",
        search: [
          "Change Requests Listing",
          "CR Listing",
          "Change Request Listing",
        ],
      },
    ],
    accessLevel: {
      ACCELAVAR: [],
      PROVIDER: ALL_PROVIDER_USER_ROLES,
      CUSTOMER: [],
    },
    isAllow: false,
    search: ["Project Management"],
  },
  {
    name: "Compliance",
    path: "/configuration/summary",
    campare: "/configuration",
    icon: iconsPath.compliance,
    showChild: false,
    childs: [
      {
        name: "Dashboard",
        path: "/configuration/summary",
        campare: "dashboard",
        search: ["dashboard compliance"],
      },
      {
        name: "Configuration",
        path: "/configuration/configuration-management",
        campare: "configuration/configuration-management",
        search: [" Compliance configuration management"],
      },
      {
        name: "Rules",
        path: "/configuration/rules",
        campare: "configuration/rules",
        search: ["Compliance rules"],
      },
      {
        name: "Variables",
        path: "/configuration/variables",
        campare: "configuration/variables",
        search: ["Compliance  Variables"],
      },
    ],
    accessLevel: {
      ACCELAVAR: [],
      PROVIDER: ALL_PROVIDER_USER_ROLES,
      CUSTOMER: [],
      isAvailable: "showCompliance",
    },
    isAllow: false,
    search: ["Compliance"],
  },
  {
    name: "Customer Configuration",
    path: "/customer-configs",
    campare: "customer-configs",
    icon: iconsPath.cust_confg,
    childs: [],
    accessLevel: {
      ACCELAVAR: [],
      PROVIDER: ALL_PROVIDER_USER_ROLES,
      CUSTOMER: [],
    },
    isAllow: false,
    search: ["Customer Configuration"],
  },
  {
    name: "Client 360",
    path: "/client-360",
    campare: "client-360",
    icon: iconsPath.client_360,
    childs: [],
    accessLevel: {
      ACCELAVAR: [],
      PROVIDER: ALL_PROVIDER_USER_ROLES,
      CUSTOMER: [],
    },
    isAllow: false,
    search: ["Client 360"],
  },
  {
    name: "Users and Access",
    path: "/provider-users",
    campare: "provider-users",
    icon: iconsPath.user_access,
    childs: [],
    accessLevel: {
      ACCELAVAR: [],
      PROVIDER: ALL_PROVIDER_USER_ROLES,
      CUSTOMER: [],
    },
    isAllow: false,
    search: ["Users and Access"],
  },
  {
    name: "Users and Access",
    path: "/customer-users",
    campare: "customer-users",
    icon: iconsPath.user_access,
    childs: [],
    accessLevel: {
      ACCELAVAR: [],
      PROVIDER: [],
      CUSTOMER: ALL_CUSTOMER_USER_ROLES,
    },
    isAllow: false,
    search: ["Users and Access"],
  },
  {
    name: "Documentation",
    path: "/documentation/customer-info",
    campare: "documentation",
    icon: iconsPath.doc,
    showChild: false,
    childs: [
      {
        name: "Customer Information",
        path: "/documentation/customer-info",
        campare: "documentation/customer-info",
        search: ["Documentation Customer Notes", "Network Notes"],
      },
      {
        name: "Contacts",
        path: "/documentation/contacts",
        campare: "documentation/contacts",
        search: [
          "Documentation Customer Escalation",
          "Customer Distribution List",
          "During Business Hours",
        ],
      },
      {
        name: "Circuits / Sites",
        path: "/documentation/circuits",
        campare: "documentation/circuits",
        search: ["Documentation Circuits  Sites"],
      },
      {
        name: "Documents",
        path: "/documentation/Documents",
        campare: "documentation/Documents",
        search: ["Documentation Storage Service", "Documents"],
      },
      {
        name: "Circuits Types",
        path: "/documentation/circuit-types",
        campare: "documentation/circuit-types",
        search: ["Documentation Circuits Types"],
      },
    ],
    accessLevel: {
      ACCELAVAR: [],
      PROVIDER: ALL_PROVIDER_USER_ROLES,
      CUSTOMER: [],
    },
    isAllow: false,
    search: ["Documentation"],
  },
  {
    name: "Documentation",
    path: "/documentation/customer-circuits",
    campare: "documentation",
    icon: iconsPath.doc,
    showChild: false,
    childs: [
      {
        name: "Contacts",
        path: "/documentation/contacts",
        campare: "documentation/contacts",
        isAvailable: "showContacts",
        defaultHide: true,
        search: [
          " Documentation Customer Escalation",
          "Customer Distribution List",
          "During Business Hours",
        ],
      },
      {
        name: "Circuits / Sites",
        path: "/documentation/customer-circuits",
        campare: "documentation/customer-circuits",
        search: ["Documentation Circuits  Sites"],
      },
      {
        name: "Documents",
        path: "/documentation/customer-documents",
        campare: "documentation/customer-documents",
        search: ["Documentation Storage Service", "Documents"],
      },
    ],
    accessLevel: {
      ACCELAVAR: [],
      PROVIDER: [],
      CUSTOMER: ALL_CUSTOMER_USER_ROLES,
    },
    isAllow: false,
    search: ["Documentation"],
  },
  {
    name: "Collectors",
    path: "/collectors",
    campare: "collectors",
    icon: iconsPath.collector,
    childs: [],
    accessLevel: {
      ACCELAVAR: [],
      PROVIDER: ALL_PROVIDER_USER_ROLES,
      CUSTOMER: [],
      isAvailable: "showCollector",
    },
    isAllow: false,
    search: ["Collectors"],
  },
  {
    name: "Renewal",
    path: "/customer-renewals",
    campare: "customer-renewals",
    icon: iconsPath.renewal,
    childs: [],
    accessLevel: {
      ACCELAVAR: [],
      PROVIDER: ALL_PROVIDER_USER_ROLES,
      CUSTOMER: [],
    },
    isAllow: false,
    search: ["Renewal"],
  },
  {
    name: "Renewal",
    path: "/renewal",
    campare: "renewal",
    icon: iconsPath.renewal,
    childs: [],
    accessLevel: {
      ACCELAVAR: [],
      PROVIDER: [],
      CUSTOMER: [],
      isAvailable: "showRenewal",
    },
    isAllow: false,
    search: ["Renewal"],
  },
  {
    name: "Report",
    path: "/provider-reports",
    campare: "provider-reports",
    icon: iconsPath.report,
    showChild: false,
    childs: [
      {
        name: "Device Report",
        path: "/provider-reports",
        campare: "provider-reports",
        search: [
          "Inventory",
          "Data Anomaly",
          "Customer Standard Report",
          "Scheduled Reports",
          "Finance",
          "FIRE Export Report",
          "Device Report Bundle",
          "device report",
        ],
      },
      {
        name: "Circuit Report",
        path: "/circuit-reports",
        campare: "circuit-reports",
        search: ["Circuit Report"],
      },
      {
        name: "Customer Analysis Report",
        path: "/customer-analysis-reports",
        campare: "customer-analysis-reports",
        search: ["Customer Analysis Report", "Project Audit"],
      },
      {
        name: "Statistics",
        path: "/reports/statistics",
        campare: "reports/statistics",
        search: ["All Customer statistics reports"],
      },
    ],
    accessLevel: {
      ACCELAVAR: [],
      PROVIDER: ALL_PROVIDER_USER_ROLES,
      CUSTOMER: [],
    },
    isAllow: false,
    search: ["Report"],
  },
  {
    name: "Report",
    path: "/reports",
    campare: "reports",
    icon: iconsPath.report,
    showChild: false,
    childs: [
      {
        name: "Device Report",
        path: "/reports",
        campare: "reports",
        search: ["Device reports"],
      },
      {
        name: "Circuit Report",
        path: "/circuit-reports",
        campare: "circuit-reports",
        search: ["circuit reports"],
      },
    ],
    accessLevel: {
      ACCELAVAR: [],
      PROVIDER: [],
      CUSTOMER: ALL_CUSTOMER_USER_ROLES,
    },
    isAllow: false,
    search: ["Report"],
  },
  {
    name: "Service Request",
    path: "/service-requests",
    campare: "service-requests",
    icon: iconsPath.service_req,
    childs: [],
    accessLevel: {
      ACCELAVAR: [],
      PROVIDER: ALL_PROVIDER_USER_ROLES,
      CUSTOMER: [],
      isAvailable: "showServiceRequest",
    },
    isAllow: false,
    search: ["Service Request"],
  },
  {
    name: "Sales",
    path: "/sow/dashboard",
    campare: "/sow",
    icon: iconsPath.sales,
    showChild: false,
    childs: [
      {
        name: "Dashboard",
        path: "/sow/dashboard",
        campare: "sow/dashboard",
        search: ["Sales", "SOW Dashboard"],
      },
      {
        name: "Documents",
        path: "/sow/sows",
        campare: "/sow/sows",
        search: ["Sales", "SOW Documents"],
      },
      {
        name: "Agreement",
        path: "/sow/agreements",
        campare: "/sow/agreements",
        search: ["Sales", "Agreement"],
      },
      {
        name: "Product Catalog",
        path: "/product-catalog",
        campare: "product-catalog",
        search: ["Product Catalog"],
      },
      {
        name: "Templates",
        path: "/sow/templates",
        campare: "/sow/templates",
        search: ["Sales", "Templates"],
      },
      {
        name: "Notes",
        path: "/sow/notes",
        campare: "/sow/notes",
        search: ["Sales", "notes"],
      },
      {
        name: "Sales Activity",
        path: "/sales-activity",
        campare: "sales-activity",
        search: ["Sales", "SOW My Activities All Activities", "Sales Activity"],
      },
      {
        name: "Purchase History",
        path: "/purchase-history",
        campare: "purchase-history",
        search: ["Sales", "SOW Purchase History"],
      },
      {
        name: "Service Catalog",
        path: "/sow/service-catalog-list",
        campare: "/sow/service-catalog-list",
        search: ["Sales", "Service Catalog"],
      },
      {
        name: "Service Analytics",
        path: "/sow/service-analytics",
        campare: "sow/service-analytics",
        search: ["Sales", "Service Analytics"],
      },
      {
        name: "Service Processing",
        path: "/sow/change-request",
        campare: "/sow/change-request",
        search: ["Sales", "Service Processing Fixed Fee T & M"],
      },
    ],
    accessLevel: {
      ACCELAVAR: [],
      PROVIDER: ALL_PROVIDER_USER_ROLES,
      CUSTOMER: [],
    },
    isAllow: false,
    search: ["Sales"],
  },
  {
    name: "Operations",
    path: "/operations/dash-board",
    campare: "/operations",
    icon: iconsPath.operation,
    showChild: false,
    childs: [
      {
        name: "Dashboard",
        path: "/operations/dash-board",
        campare: "/operations/dash-board",
        search: ["Operations Dashboard"],
      },
      {
        name: "Email Generation - Ingram",
        path: "/operations/email-generation-ingram",
        campare: "/operations/email-generation-ingram",
        search: ["Email Generation - Ingram", "Operations"],
      },
      {
        name: "Email Generation - CW",
        path: "/operations/email-generation-cw",
        campare: "/operations/email-generation-cw",
        search: ["Email Generation - CW", "Operations"],
      },
      {
        name: "Order Tracking",
        path: "/operations/order-tracking-v2",
        campare: "/operations/order-tracking-v2",
        search: ["Operations Order Tracking"],
      },
      {
        name: "Linking Info",
        path: "/operations/linking",
        campare: "/operations/linking",
        search: [
          "Operations",
          "Linking Info",
          "Mapping Info",
          "Purchase Orders",
          "Unlinked Purchase Orders",
          "Unlinked POs",
          "SO-PO Mapping",
          "Failed Tickets",
        ],
      },
    ],
    accessLevel: {
      ACCELAVAR: [],
      PROVIDER: ALL_PROVIDER_USER_ROLES,
      CUSTOMER: [],
    },
    isAllow: false,
    search: ["Operations"],
  },
  {
    name: "Email Logs",
    path: "/email-logs",
    campare: "/email-logs",
    icon: iconsPath.email_logs,
    showChild: false,
    childs: [],
    accessLevel: {
      ACCELAVAR: [],
      PROVIDER: ALL_PROVIDER_USER_ROLES,
      CUSTOMER: [],
    },
    isAllow: false,
    search: [],
  },
  {
    name: "ERP Settings",
    path: "/erp-setting/primary",
    campare: "/erp-setting",
    icon: iconsPath.erp_setting,
    showChild: false,
    childs: [
      {
        name: "ERP Primary",
        path: "/erp-setting/primary",
        campare: "erp-setting/primary",
        search: [
          "CW Authentication",
          "Field Mapping",
          "Categories Mapping & Filters",
          "Subscription Product Mapping",
          "Synchronize",
          "Role Rate Mapping",
          "Custom Fields",
          "Orders",
          "Service Board Mapping",
          "Opportunities",
          "SOW Opportunity Mapping",
          "Change Request Mapping",
          "SOW Quote Status Mapping",
          "Device Category Mapping",
          "Software Category Mapping",
          "Device Exclusion Filter",
          "Empty Serial Mapping",
          "Product Types",
          "Service Provider Prefix Mapping",
          "Rate Role Mapping",
          "Role Type",
        ],
      },
      {
        name: "Model Types",
        path: "/erp-setting/model-type",
        campare: "erp-setting/model-type",
        search: ["Model Types"],
      },
      {
        name: "Territory Mapping",
        path: "/erp-setting/territory",
        campare: "erp-setting/territory",
        search: ["Territory Mapping"],
      },
      {
        name: "Communication",
        path: "/erp-setting/Communication",
        campare: "erp-setting/Communication",
        search: ["Communication Setting"],
      },
    ],
    accessLevel: {
      ACCELAVAR: [],
      PROVIDER: ["OWNER"],
      CUSTOMER: [],
    },
    isAllow: false,
    search: [],
  },
  {
    name: "Settings",
    path: "/setting/alias",
    campare: "setting",
    icon: iconsPath.setting,
    showChild: false,
    childs: [
      {
        name: "General Settings",
        path: "/setting/alias",
        campare: "setting/alias",
        search: ["General Settings"],
      },
      {
        name: "API Integrations",
        path: "/setting/api-credentials",
        campare: "setting/api-credentials",
        search: [
          "API Integrations",
          "Ingram API Credentials",
          "PAX8 API Credentials",
          "Microsoft Graph API Credentials",
        ],
      },
      {
        name: "Device Monitoring",
        path: "/setting/logic-monitor-v2",
        campare: "setting/logic-monitor-v2",
        search: ["Device Monitoring", "Config Names", "Mappings"],
      },
      {
        name: "Sales Settings",
        path: "/setting/sow",
        campare: "/setting/sow",
        search: [
          "Sales Settings",
          "Document",
          "Catalog",
          "Sales Activity",
          "Agreement",
          "Vendor",
          "SOW Creator Role",
          "Vendor Description Mapping",
        ],
      },
      {
        name: "Site Settings",
        path: "/setting/sites",
        campare: "/setting/sites",
        search: [
          "Site Settings",
          "All Partner Sites",
          "Customer Partner Sites",
          "Fire Export Report Settings",
        ],
      },
      {
        name: "Collector Settings",
        path: "/setting/collector",
        campare: "/setting/collector",
        search: ["Collector Settings"],
      },
      {
        name: "Storage Service",
        path: "/setting/storage-service",
        campare: "setting/storage-service",
        search: ["Storage Service"],
      },
      {
        name: "Operations Settings",
        path: "/setting/smartnet_receiving",
        campare: "setting/smartnet_receiving",
        search: [
          "SMARTNET SETTINGS",
          "EMAIL TEMPLATE SETTINGS",
          "ORDER TRACKING DASHBOARD SETTINGS",
          "COLLECTIONS",
          "SUBSCRIPTION LIFECYCLE NOTIFICATIONS",
          "SO PO DATA SYNC",
          "SO-PO DATA SYNC",
          "WEEKLY TRACKING REPORTS",
          "OPERATIONS SETTINGS",
        ],
      },
      {
        name: "Project Setting",
        path: "/setting/project-setting",
        campare: "settingproject-setting",
        search: [
          "Project Settings",
          "MEETING SETTINGS",
          "GENERAL",
          "MEETING EMAIL TEMPLATES",
          "HISTORY",
          "TIMESHEET Project",
        ],
      },
      {
        name: "Virtual Warehouse Settings",
        path: "/setting/virtual-warehouse-settings",
        campare: "/setting/virtual-warehouse-settings",
        search: [
          "Virtual Warehouse Settings",
          "Quickbase Settings",
          "Quickbase Data Sync",
        ],
      },
      {
        name: "Customer Settings",
        path: "/setting/customer",
        campare: "/setting/customer",
        search: [
          "OPERATIONS STATUS SETTING",
          "Customer Settings",
          "Client 360 Settings",
        ],
      },
      {
        name: "Agreement Templates",
        path: "/setting/agreement-templates",
        campare: "/setting/agreement-templates",
        search: ["Agreement Templates"],
      },
    ],
    accessLevel: {
      ACCELAVAR: [],
      PROVIDER: ["OWNER"],
      CUSTOMER: [],
    },
    isAllow: false,
    search: [],
  },
  {
    name: "Settings",
    path: "/setting/alias",
    campare: "setting",
    icon: iconsPath.setting,
    childs: [],
    accessLevel: {
      ACCELAVAR: [],
      PROVIDER: ["STAFF", "ADMIN"],
      CUSTOMER: [],
    },
    isAllow: false,
    search: [],
  },
  {
    name: "SOW Metrics",
    path: "/sow/dashboard",
    campare: "sow/dashboard",
    icon: iconsPath.subs,
    childs: [],
    accessLevel: {
      ACCELAVAR: [],
      PROVIDER: [],
      CUSTOMER: [],
    },
    isAllow: false,
    search: [],
  },
  {
    name: "Sales Activity",
    path: "/sales-activity",
    campare: "sales-activity",
    icon: iconsPath.subs,
    childs: [],
    accessLevel: {
      ACCELAVAR: [],
      PROVIDER: [],
      CUSTOMER: [],
    },
    isAllow: false,
    search: [],
  },
  {
    name: "Purchase History",
    path: "/purchase-history",
    campare: "purchase-history",
    icon: iconsPath.subs,
    childs: [],
    accessLevel: {
      ACCELAVAR: [],
      PROVIDER: [],
      CUSTOMER: [],
      isAvailable: "showPurchaseHistory",
    },
    isAllow: false,
    search: [],
  },
];
